--- personal-managers

ALTER TABLE chats ADD [type] NVARCHAR(32);
UPDATE chats SET [type] = 'regular';

DROP INDEX chats.chats_channel_id_client_id_uniq;
CREATE UNIQUE INDEX chats_type_channel_client_uniq ON chats ([type], channel_id, client_id);

CREATE TABLE personal_managers (
    id        BIGINT PRIMARY KEY IDENTITY (1, 1),
    user_id   BIGINT NOT NULL REFERENCES users(id),
    client_id BIGINT NOT NULL REFERENCES clients(id)
);

CREATE UNIQUE INDEX personal_managers_user_client_uniq ON personal_managers (user_id, client_id);
